### R code from vignette source 'mixstock.Rnw'

###################################################
### code chunk number 1: mixstock.Rnw:25-26
###################################################
Rver <- paste(R.version$major,R.version$minor,sep=".")


###################################################
### code chunk number 2: mixstock.Rnw:136-141 (eval = FALSE)
###################################################
## install.packages("mixstock")
## install.packages("plotrix")
## install.packages("coda")
## install.packages("abind")
## install.packages("R2WinBUGS")


###################################################
### code chunk number 3: mixstock.Rnw:156-157
###################################################
library(mixstock)


###################################################
### code chunk number 4: mixstock.Rnw:229-230 (eval = FALSE)
###################################################
## mydata = read.table("mydata.dat")


###################################################
### code chunk number 5: mixstock.Rnw:235-236 (eval = FALSE)
###################################################
## mydata = read.csv("mydata.csv")


###################################################
### code chunk number 6: mixstock.Rnw:248-250
###################################################
data(lahanas98raw)
mydata = lahanas98raw


###################################################
### code chunk number 7: mixstock.Rnw:255-256 (eval = FALSE)
###################################################
## mydata


###################################################
### code chunk number 8: mixstock.Rnw:259-260
###################################################
head(mydata)


###################################################
### code chunk number 9: mixstock.Rnw:266-267
###################################################
mydata = as.mixstock.data(mydata)


###################################################
### code chunk number 10: mixstock.Rnw:275-276
###################################################
plot(mydata,mix.off=2)


###################################################
### code chunk number 11: mixstock.Rnw:302-303
###################################################
mydata = markfreq.condense(mydata)


###################################################
### code chunk number 12: mixstock.Rnw:314-315
###################################################
data(lahanas98)


###################################################
### code chunk number 13: mixstock.Rnw:319-320
###################################################
data(bolten98)


###################################################
### code chunk number 14: mixstock.Rnw:328-329
###################################################
plot(lahanas98,mix.off=2,leg.space=0.4)


###################################################
### code chunk number 15: mixstock.Rnw:349-351
###################################################
mydata.cml = cml(mydata)
mydata.cml


###################################################
### code chunk number 16: mixstock.Rnw:362-363 (eval = FALSE)
###################################################
## plot(mydata.cml)


###################################################
### code chunk number 17: mixstock.Rnw:367-368
###################################################
plot(mydata.cml)


###################################################
### code chunk number 18: mixstock.Rnw:390-391
###################################################
mydata.uml = uml(mydata)


###################################################
### code chunk number 19: mixstock.Rnw:406-409 (eval = FALSE)
###################################################
## par(ask=TRUE)
## plot(mydata.uml,plot.freqs=TRUE)
## par(ask=FALSE)


###################################################
### code chunk number 20: mixstock.Rnw:416-417 (eval = FALSE)
###################################################
## mydata.umlboot = genboot(mydata,"uml")


###################################################
### code chunk number 21: mixstock.Rnw:419-423
###################################################
if (!file.exists("umlboot.RData")) {
  t1 <- system.time(mydata.umlboot <- genboot(mydata,"uml"))
  save("t1","mydata.umlboot",file="umlboot.RData",compress=TRUE)
} else load("umlboot.RData")


###################################################
### code chunk number 22: mixstock.Rnw:436-437
###################################################
confint(mydata.umlboot)


###################################################
### code chunk number 23: mixstock.Rnw:441-442
###################################################
plot(mydata.umlboot)


###################################################
### code chunk number 24: mixstock.Rnw:449-450 (eval = FALSE)
###################################################
## mydata.mcmc = tmcmc(mydata)


###################################################
### code chunk number 25: mixstock.Rnw:452-456
###################################################
if (!file.exists("mcmc.RData")) {
  mydata.mcmc <- tmcmc(mydata)
  save("mydata.mcmc",file="mcmc.RData",compress=TRUE)
} else load("mcmc.RData")


###################################################
### code chunk number 26: mixstock.Rnw:459-461
###################################################
mydata.mcmc
confint(mydata.mcmc)


###################################################
### code chunk number 27: mixstock.Rnw:463-464 (eval = FALSE)
###################################################
## plot(mydata.mcmc)


###################################################
### code chunk number 28: mixstock.Rnw:474-475
###################################################
plot(mydata.mcmc)


###################################################
### code chunk number 29: mixstock.Rnw:489-490 (eval = FALSE)
###################################################
## diag1=calc.RL.0(mydata)


###################################################
### code chunk number 30: mixstock.Rnw:494-498
###################################################
if (!file.exists("RL.RData")) {
  diag1=calc.RL.0(mydata)
  save("diag1",file="RL.RData")
} else load("RL.RData")


###################################################
### code chunk number 31: mixstock.Rnw:520-521
###################################################
head(diag1$current)


###################################################
### code chunk number 32: mixstock.Rnw:530-531
###################################################
diag1$history


###################################################
### code chunk number 33: mixstock.Rnw:539-540 (eval = FALSE)
###################################################
## diag2=calc.GR(mydata)


###################################################
### code chunk number 34: mixstock.Rnw:542-546
###################################################
if (!file.exists("GR.RData")) {
  diag2=calc.GR(mydata)
  save("diag2",file="GR.RData")
} else load("GR.RData")


###################################################
### code chunk number 35: mixstock.Rnw:598-604
###################################################
Z = simmixstock2(nsource=4,nmark=5,nmix=3,
                 sourcesize=c(4,2,1,1),
                 sourcesampsize=rep(25,4),
                 mixsampsize=rep(30,3),rseed=1001)               
Z
plot(Z)


###################################################
### code chunk number 36: mixstock.Rnw:607-614 (eval = FALSE)
###################################################
## ## hope this isn't necessary any more?
## ## causes warnings on CRAN
## if (.Platform$OS.type=="unix") {
##   WINE = system("locate wine | grep bin/wine$", intern = TRUE)[2]
##   Sys.setenv(WINE=WINE)
##   Sys.setenv(WINE="/home/ben/cxoffice/bin/wine") ## mine
## }


###################################################
### code chunk number 37: mixstock.Rnw:618-624
###################################################
if (!file.exists("wbugs_cache.RData")) {
  st0 <- system.time(Zfit0 <- mm.wbugs(Z,sourcesize=c(4,2,1,1),returntype="bugs"))
  st1 <- system.time(Zfit <- mm.wbugs(Z,sourcesize=c(4,2,1,1)))
  st2 <- system.time(Zfit2 <- mm.wbugs(Z,sourcesize=c(4,2,1,1),bugs.code="BB"))
  save("st0","st1","st2","Zfit","Zfit2","Zfit0",file="wbugs_cache.RData")
} else load("wbugs_cache.RData")


###################################################
### code chunk number 38: mixstock.Rnw:627-632 (eval = FALSE)
###################################################
## ## tests
## st3 <- system.time(Zfit0 <- mm.wbugs(Z,sourcesize=c(4,2,1,1),
##                                      bugs.code="BB",pkg="JAGS"))
## Zfit2 <- mm.wbugs(Z,sourcesize=c(4,2,1,1),bugs.code="BB",n.iter=200)
## Zfit3 <- mm.wbugs(Z,sourcesize=c(4,2,1,1),bugs.code="BB",n.iter=1000,pkg="JAGS")


###################################################
### code chunk number 39: mixstock.Rnw:636-637 (eval = FALSE)
###################################################
## Zfit0 = mm.wbugs(Z,sourcesize=c(4,2,1,1),returntype="bugs")


###################################################
### code chunk number 40: mixstock.Rnw:686-687 (eval = FALSE)
###################################################
## plot(Zfit0)


###################################################
### code chunk number 41: mixstock.Rnw:691-692
###################################################
plot(as.mcmc.bugs(Zfit0))


###################################################
### code chunk number 42: mixstock.Rnw:696-697
###################################################
print(plot(Zfit))


###################################################
### code chunk number 43: mixstock.Rnw:701-702
###################################################
print(plot(Zfit,sourcectr=TRUE))


###################################################
### code chunk number 44: mixstock.Rnw:706-707
###################################################
head(summary(Zfit))


###################################################
### code chunk number 45: mixstock.Rnw:726-732 (eval = FALSE)
###################################################
## bbcontrib = "http://www.zoo.ufl.edu/bolker/R/windows"
## install.packages("mixstock",contriburl=bbcontrib)
## install.packages("plotrix")
## install.packages("coda")
## install.packages("abind")
## install.packages("R2WinBUGS")


###################################################
### code chunk number 46: mixstock.Rnw:741-742 (eval = FALSE)
###################################################
## mydata = hapfreq.condense(as.mixstock.data(read.csv("myfile.dat")))


###################################################
### code chunk number 47: mixstock.Rnw:746-750 (eval = FALSE)
###################################################
## mydata.mcmc = tmcmc(mydata)
## mydata.mcmc
## intervals(mydata.mcmc)
## plot(mydata.mcmc)


